- [HTTP request](https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/batchDelete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/batchDelete#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/batchDelete#body.request_body)
  - [JSON representation](https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/batchDelete#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/batchDelete#body.response_body)
- [Authorization scopes](https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/batchDelete#body.aspect)
- [IAM Permissions](https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/batchDelete#body.aspect_1)

Deletes multiple `SelectedRoute` resources for the specified project.

### HTTP request

`POST https://roads.googleapis.com/selection/v1/{parent=projects/*}/selectedRoutes:batchDelete`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The project resource shared by all selected routes to delete. It's required because the batch request supports only a single `parent`. Format: projects/{project} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "names": [ string ] } ``` |

| Fields ||
|---|---|
| `names[]` | `string` Required. The names of the selected routes to delete. A maximum of 1,000 selected routes can be deleted in a batch. Format: projects/{project}/selectedRoutes/{selectedRoute} |

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `roads.selectedRoutes.batchDelete`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).